%define pypi_name serverfiles

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 6
Summary:        An utility that accesses files on a HTTP server and stores them locally for reuse
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/biolab/serverfiles
Source0:        %{pypi_source}
BuildArch:      noarch

%description
An utility that accesses files on a HTTP server and stores them locally for reuse.

%package -n     python3-%{pypi_name}
Summary:        An utility that accesses files on a HTTP server and stores them locally for reuse
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
An utility that accesses files on a HTTP server and stores them locally for reuse.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files serverfiles

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.1-6.mga10
+ Revision: 2241408
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.3.1-5.mga10
+ Revision: 2158713
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 0.3.1-4.mga10
+ Revision: 2035985
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.3.1-3.mga9
+ Revision: 1823335
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.3.1-2.mga9
+ Revision: 1782646
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 0.3.1-1.mga9
+ Revision: 1708423
- new version 0.3.1

* Thu Jul 23 2020 ovitters <ovitters> 0.3.0-4.mga8
+ Revision: 1608307
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1533715
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.3.0-2.mga8
+ Revision: 1445343
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.3.0-1.mga7
+ Revision: 1379956
- imported package python-serverfiles

